> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get scheduled quality check data



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /model-monitor/v2/api/model/{scheduled_check_id}/model-quality-scheduled-check-data
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/model/{scheduled_check_id}/model-quality-scheduled-check-data:
    summary: >-
      Gets the model scheduled check data for MQ schedule history page for the
      passed scheduled check id
    parameters:
      - in: path
        name: scheduled_check_id
        required: true
        schema:
          type: string
    get:
      tags:
        - Model Monitoring drift and quality
      operationId: getModelQualityScheduledCheckData
      responses:
        '200':
          description: Gets the scheduled check data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_scheduledCheckResult'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Data for passed Scheduled Check Id not found.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_scheduledCheckResult:
      type: object
      required:
        - calculatedOn
        - scheduledCheckDataStartDate
        - scheduledCheckDataEndDate
        - metricTestResults
        - numberOfMatchedRows
      properties:
        calculatedOn:
          description: Timestamp of the date when this check was executed.
          type: number
        scheduledCheckDataStartDate:
          description: Start Timestamp of the data window of the check.
          type: number
        scheduledCheckDataEndDate:
          description: End Timestamp of the data window of the check.
          type: number
        metricTestResults:
          description: Metric Test Results for the queries.
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_metricTestResultCommon'
        numberOfMatchedRows:
          description: >-
            Number of matched Ground Truth and Prediction rows for this
            scheduled check.
          type: number
    dmm-plier_metricTestResultCommon:
      type: object
      required:
        - metricType
        - threshold
        - alertsEnabled
      properties:
        status:
          title: Metric check status
          description: Status of the check for the metric.
          type: boolean
          nullable: true
        metricType:
          title: Metric name
          description: Metric name
          type: string
        value:
          title: Metric Value
          description: Metric computed value
          type: number
          nullable: true
        numberOfRecords:
          title: Number of ground truth records matched with prediction
          description: Ground Truth matched records
          type: integer
        threshold:
          $ref: '#/components/schemas/dmm-plier_metricCheckThreshold'
        alertsEnabled:
          title: Are Alerts Enabled
          description: Boolean value to determine if Alerts are Enabled
          type: boolean
    dmm-plier_metricCheckThreshold:
      title: Metric Check Thresholds
      description: Check Thresholds at which the check fails
      type: object
      required:
        - operator
        - lowerThreshold
        - upperThreshold
      properties:
        operator:
          title: Math Operator
          description: The math operator for the condition, like < or <=.
          type: string
        lowerThreshold:
          title: Lower Bound
          description: The lower bound for the metric check
          type: number
        upperThreshold:
          title: Upper Bound
          description: The upper bound for the metric check
          type: number
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Get quality check history](/6.3/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-model-quality-scheduled-checks-history.md)
- [Get scheduled drift check data](/6.3/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-scheduled-check-drift-data.md)
- [Gets schedule check job for model quality](/6.3/api-reference/model-monitoring-settings/gets-schedule-check-job-for-model-quality.md)
- [Gets schedule check data by schedule job ID](/6.3/api-reference/model-monitoring-settings/gets-schedule-check-data-by-schedule-job-id.md)
